using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataSet ds = new DataSet();
        DataTable dt = new DataTable();
        dt.Columns.Add("UserId");

        DataRow dr;
        dr = dt.NewRow();
        dr["UserId"] = "XYZ";
        dt.Rows.Add(dr);

        dr = dt.NewRow();
        dr["UserId"] = "ABC";
        dt.Rows.Add(dr);

        ds.Tables.Add(dt);
        rgUsers.DataSource = ds;
        rgUsers.DataBind();
    }

    protected void Page_Init(object sender, EventArgs e)
    {
        rgUsers.ItemCreated += new Telerik.Web.UI.GridItemEventHandler(rgUsers_ItemCreated);
    }

    void rgUsers_ItemCreated(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {
        }
    }
}
